- Main Page
- Related Pages
- Modules
- Files

Functions
GLM_GTX_extented_min_max
GTX Extensions (Experimental)

## Functions
template<typename T >
T | max (T const &x, T const &y, T const &z)
template<typename T , template< typename > class C>
C< T > | max (C< T > const &x, typename C< T >::value_type const &y, typename C< T >::value_type const &z)
template<typename T , template< typename > class C>
C< T > | max (C< T > const &x, C< T > const &y, C< T > const &z)
template<typename T >
T | max (T const &x, T const &y, T const &z, T const &w)
template<typename T , template< typename > class C>
C< T > | max (C< T > const &x, typename C< T >::value_type const &y, typename C< T >::value_type const &z, typename C< T >::value_type const &w)
template<typename T , template< typename > class C>
C< T > | max (C< T > const &x, C< T > const &y, C< T > const &z, C< T > const &w)
template<typename T >
T | min (T const &x, T const &y, T const &z)
template<typename T , template< typename > class C>
C< T > | min (C< T > const &x, typename C< T >::value_type const &y, typename C< T >::value_type const &z)
template<typename T , template< typename > class C>
C< T > | min (C< T > const &x, C< T > const &y, C< T > const &z)
template<typename T >
T | min (T const &x, T const &y, T const &z, T const &w)
template<typename T , template< typename > class C>
C< T > | min (C< T > const &x, typename C< T >::value_type const &y, typename C< T >::value_type const &z, typename C< T >::value_type const &w)
template<typename T , template< typename > class C>
C< T > | min (C< T > const &x, C< T > const &y, C< T > const &z, C< T > const &w)

## Detailed Description

Min and max functions for 3 to 4 parameters.

<glm/gtx/extented_min_max.hpp> need to be included to use these functionalities.

## Function Documentation

T glm::max | ( | T const & | x,
|  | T const & | y,
|  | T const & | z
| ) |  |

Return the maximum component-wise values of 3 inputs.

See Also
  GLM_GTX_extented_min_max

C<T> glm::max | ( | C< T > const & | x,
|  | typename C< T >::value_type const & | y,
|  | typename C< T >::value_type const & | z
| ) |  |

Return the maximum component-wise values of 3 inputs.

See Also
  GLM_GTX_extented_min_max

C<T> glm::max | ( | C< T > const & | x,
|  | C< T > const & | y,
|  | C< T > const & | z
| ) |  |

Return the maximum component-wise values of 3 inputs.

See Also
  GLM_GTX_extented_min_max

T glm::max | ( | T const & | x,
|  | T const & | y,
|  | T const & | z,
|  | T const & | w
| ) |  |

Return the maximum component-wise values of 4 inputs.

See Also
  GLM_GTX_extented_min_max

C<T> glm::max | ( | C< T > const & | x,
|  | typename C< T >::value_type const & | y,
|  | typename C< T >::value_type const & | z,
|  | typename C< T >::value_type const & | w
| ) |  |

Return the maximum component-wise values of 4 inputs.

See Also
  GLM_GTX_extented_min_max

C<T> glm::max | ( | C< T > const & | x,
|  | C< T > const & | y,
|  | C< T > const & | z,
|  | C< T > const & | w
| ) |  |

Return the maximum component-wise values of 4 inputs.

See Also
  GLM_GTX_extented_min_max

T glm::min | ( | T const & | x,
|  | T const & | y,
|  | T const & | z
| ) |  |

Return the minimum component-wise values of 3 inputs.

See Also
  GLM_GTX_extented_min_max

C<T> glm::min | ( | C< T > const & | x,
|  | typename C< T >::value_type const & | y,
|  | typename C< T >::value_type const & | z
| ) |  |

Return the minimum component-wise values of 3 inputs.

See Also
  GLM_GTX_extented_min_max

C<T> glm::min | ( | C< T > const & | x,
|  | C< T > const & | y,
|  | C< T > const & | z
| ) |  |

Return the minimum component-wise values of 3 inputs.

See Also
  GLM_GTX_extented_min_max

T glm::min | ( | T const & | x,
|  | T const & | y,
|  | T const & | z,
|  | T const & | w
| ) |  |

Return the minimum component-wise values of 4 inputs.

See Also
  GLM_GTX_extented_min_max

C<T> glm::min | ( | C< T > const & | x,
|  | typename C< T >::value_type const & | y,
|  | typename C< T >::value_type const & | z,
|  | typename C< T >::value_type const & | w
| ) |  |

Return the minimum component-wise values of 4 inputs.

See Also
  GLM_GTX_extented_min_max

C<T> glm::min | ( | C< T > const & | x,
|  | C< T > const & | y,
|  | C< T > const & | z,
|  | C< T > const & | w
| ) |  |

Return the minimum component-wise values of 4 inputs.

See Also
  GLM_GTX_extented_min_max